<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Industri WordPress Theme
 */

get_header();?>
<div id="post-<?php the_ID(); ?>" <?php post_class('page-wrapper'); ?>>
   <section class="blog-right-sidebar blog-pages">
    <div class="container">
        <div class="row">
            <div class="col-lg-8 blog-container pt-0 pb-0"> 
                <?php 
                if ( have_posts() ) {
                    // Load posts loop.
                    while ( have_posts() ) {
                        the_post();
                        get_template_part( 'template-parts/content/content','excerpt');
                    }
                    // Previous/next page navigation.
                    industri_the_posts_navigation();
                } else {
                    // If no content, include the "No posts found" template.
                    get_template_part( 'template-parts/content/content','none' );
                }
                ?>               

            </div>
            <div class="col-lg-4 blog-sidebar">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</section>
</div>

<?php get_footer()  ?>