(function($) {
    "use strict";
    /*============= Sticky Header =======================*/

    /*============= Submenu =======================*/
    jQuery(document).ready(function() {
        jQuery('li.dropdown, li.dropdown-submenu').find('.caret').each(function() {
            jQuery(this).on('click', function() {
                if (jQuery(window).width() < 1024) {
                    jQuery(this).after().next().slideToggle();
                }
                return false;
            });
        });
    });

    jQuery(document).on('blur', ' .nav-sidebar .sidebar-close', function() {
        jQuery('.nav-sidebar .navbar-brand ').focus();

    });


    jQuery(document).on('blur', '.navbar  .nav-link.search-btn', function() {
        jQuery('#search-form .input-group input.form-control ').focus();

    });

    jQuery(document).on('blur', '#search-form .input-group  button.btn.btn-search-close', function() {
        jQuery('#search-form .input-group input.form-control ').focus();

    });

    jQuery(".dropdown>a").after("<button type='button' class='caret'> <i class='fa fa-chevron-down'></i> </button>");


    jQuery(".navbar-nav li a").first().addClass("first-tap");
    jQuery(document).on('blur', '  button.toggler-close', function() {
        jQuery(' .navbar-nav .first-tap').focus();

    });

    jQuery(".navbar-nav li a").first().addClass("first-tap");

    jQuery(document).on('blur', ' .navbar-right  .navbar-toggler.header_toggle', function() {
        jQuery('.navbar-nav .first-tap').focus();

    });



    /*============= blog slider =======================*/
    var swiper = new Swiper(".blog-slider ", {
        pagination: '.swiper-pagination',
        slidesPerView: 1,
        autoHeight: true,
        spaceBetween: 30,
        keyboardControl: true,
        slideToClickedSlide: true,
        navigation: {
            nextEl: ".swiper-button-next",
            prevEl: ".swiper-button-prev",
        },
        // init: false,
        pagination: {
            el: '.swiper-pagination',
            clickable: true,
        },
        breakpoints: {
            540: {
                slidesPerView: 1,
                spaceBetween: 20,
            },
            768: {
                slidesPerView: 1,
                spaceBetween: 40,
            },
            1023: {
                slidesPerView: 3,
                spaceBetween: 40,
            }
        }
    });


    /*============= Animtion =======================*/
    try {
        jQuery(window).on('load', function() {
            // WOW JS
            new WOW().init();
        });

    } catch (e) {}

    /*============= Scroll To Top  =======================*/
    var btn = $('.back-to-top');

    $(window).scroll(function() {
        if ($(window).scrollTop() > 300) {
            btn.addClass('show');
        } else {
            btn.removeClass('show');
        }
    });

    btn.on('click', function(e) {
        e.preventDefault();
        $('html, body').animate({ scrollTop: 0 }, '300');
    });

})(jQuery);