<?php
/* Template Name: Page Left Sidebar */
?>
<?php get_header(); ?>
<div <?php post_class('page-wrapper'); ?>>
	<section class="blog-right-sidebar blog-pages">
		<div class="container">
			<div class="row">

				<div class="col-lg-4 blog-sidebar">
					<?php  
					if ( class_exists( 'WooCommerce' ) ) {
						if( is_account_page() || is_cart() || is_checkout() ) {
							get_sidebar('woocommerce');
						}else{
                get_sidebar();
            }
					}else{
						get_sidebar(); 
					} 					
					?>
				</div>			

				<?php 
				if ( class_exists( 'woocommerce' ) ){
					if( is_account_page() || is_cart() || is_checkout() ) {
						echo '<div class="blog-container pt-0 pb-0 col-lg-'.( !is_active_sidebar( "industri-wc-widget" ) ?"12" :"8" ).'">';
					}else{ 
						echo '<div class="blog-container pt-0 pb-0 col-lg-'.( !is_active_sidebar( "industri-primary-widget" ) ?"12" :"8" ).'">';                         
					}
				}
				else{ 
					echo '<div class="blog-container pt-0 pb-0 col-lg-'.( !is_active_sidebar( "industri-primary-widget" ) ?"12" :"8" ).'">';
				} 
				?>
				<?php if( have_posts()) : the_post(); ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class('blog-item'); ?> >
						<figure class="entry-content">
							<div class="post-thumbnail blog-item-img">
								<?php industri_post_thumbnail();?>
							</div>
						</figure>
						<div class="post-content">
							<?php the_content(); ?>
						</div>
					</article>
				<?php   endif; ?>
				<?php 
				if ( comments_open() || get_comments_number() ) {
					comments_template();
				}
				?> 
			</div>

		</div>
	</div>
</section>
</div>
<?php get_footer(); ?>